devel/ocaml-oasis - The NetBSD Packages Collection

Build system for OCaml projects

OASIS is a tool to integrate a configure, build and install system in your
OCaml project. It helps to create standard entry points in your build system
and allows external tools to analyse your project easily.

Note that this package contains the development tools, i.e. what is needed
to add OASIS support to a project. It is not usually needed to build or package
projects that use OASIS.

Build dependencies

devel/ocamlbuild pkgtools/cwrappers devel/ocamlbuild

Runtime dependencies

devel/ocaml-findlib lang/ocaml devel/ocamlify devel/ocamlmod devel/ocaml-findlib devel/ocamlify devel/ocamlmod

Binary packages

OSArchitectureVersion
NetBSD 8.0i386ocaml-oasis-0.4.10nb5.tgz
NetBSD 8.0i386ocaml-oasis-0.4.10nb5.tgz
NetBSD 8.0i386ocaml-oasis-0.4.10nb6.tgz
NetBSD 8.0powerpcocaml-oasis-0.4.10nb5.tgz
NetBSD 8.0powerpcocaml-oasis-0.4.10nb5.tgz
NetBSD 8.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 8.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0aarch64ocaml-oasis-0.4.10nb6.tgz
NetBSD 9.0aarch64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0aarch64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0earmv6hfocaml-oasis-0.4.10nb6.tgz
NetBSD 9.0earmv6hfocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0earmv6hfocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0earmv7hfocaml-oasis-0.4.10nb6.tgz
NetBSD 9.0earmv7hfocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0earmv7hfocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0i386ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0i386ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0i386ocaml-oasis-0.4.10nb6.tgz
NetBSD 9.0powerpcocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb5.tgz
NetBSD 9.0x86_64ocaml-oasis-0.4.10nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.